XmGetSizedPixmap(3)

SYNOPSIS

#include <Xm/Xm.h>

XtEnum XmGetSizedPixmap(Widget widget, String image_name,
                        Pixel foreground, Pixel background,
                        int depth, int width, int height);

DESCRIPTION

XmGetSizedPixmap loads the image specified by image_name and generates a Pixmap appropriate for the given depth, scaled to the given width and height.

widget
    Widget used to determine the Screen for which to create the Pixmap.

image_name
    See XmGetPixmapByDepth for description.

foreground
    See XmGetPixmapByDepth for description.

background
    See XmGetPixmapByDepth for description.

depth
    See XmGetPixmapByDepth for description.

width
    Desired Pixmap width.

height
    Desired Pixmap height.

RETURN VALUE

A Pixmap on success, NULL on error.

ERRORS / WARNINGS

See XmGetPixmapByDepth(3).

SEE ALSO

XmGetPixmapByDepth(3)

AUTHOR
Tim Hentenaar <tim@hentenaar.com>